org.apache.lucene.util.bkd

## Class BKDConfig

- java.lang.Object
- - org.apache.lucene.util.bkd.BKDConfig

-     public final class BKDConfig
      extends Object

  Basic parameters for indexing points on the BKD tree.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bytesPerDim` How many bytes each value in each dimension takes.
    `int` | `bytesPerDoc` packedBytesLength plus docID size
    `static int` | `DEFAULT_MAX_POINTS_IN_LEAF_NODE` Default maximum number of point in each leaf block
    `static int` | `MAX_DIMS` Maximum number of index dimensions (2 * max index dimensions)
    `static int` | `MAX_INDEX_DIMS` Maximum number of index dimensions
    `int` | `maxPointsInLeafNode` max points allowed on a Leaf block
    `int` | `numDims` How many dimensions we are storing at the leaf (data) nodes
    `int` | `numIndexDims` How many dimensions we are indexing in the internal nodes
    `int` | `packedBytesLength` numDataDims * bytesPerDim
    `int` | `packedIndexBytesLength` numIndexDims * bytesPerDim

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKDConfig(int numDims, int numIndexDims, int bytesPerDim, int maxPointsInLeafNode)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_POINTS_IN_LEAF_NODE

          public static final int DEFAULT_MAX_POINTS_IN_LEAF_NODE

      Default maximum number of point in each leaf block
      See Also:
        Constant Field Values

    - #### MAX_DIMS

          public static final int MAX_DIMS

      Maximum number of index dimensions (2 * max index dimensions)
      See Also:
        Constant Field Values

    - #### MAX_INDEX_DIMS

          public static final int MAX_INDEX_DIMS

      Maximum number of index dimensions
      See Also:
        Constant Field Values

    - #### numDims

          public final int numDims

      How many dimensions we are storing at the leaf (data) nodes

    - #### numIndexDims

          public final int numIndexDims

      How many dimensions we are indexing in the internal nodes

    - #### bytesPerDim

          public final int bytesPerDim

      How many bytes each value in each dimension takes.

    - #### maxPointsInLeafNode

          public final int maxPointsInLeafNode

      max points allowed on a Leaf block

    - #### packedBytesLength

          public final int packedBytesLength

      numDataDims * bytesPerDim

    - #### packedIndexBytesLength

          public final int packedIndexBytesLength

      numIndexDims * bytesPerDim

    - #### bytesPerDoc

          public final int bytesPerDoc

      packedBytesLength plus docID size

  - ### Constructor Detail

    - #### BKDConfig

          public BKDConfig(int numDims,
                           int numIndexDims,
                           int bytesPerDim,
                           int maxPointsInLeafNode)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.